# Class CIM_DeviceErrorCounts
extends CIM_StatisticalInformation

DeviceErrorCounts is a statistical class containing error- related counters for a LogicalDevice. The types of errors are defined by CCITT (Rec X.733) and ISO (IEC 10164-4). Note that the CIM_DeviceErrorCountData class uses a simplified naming or identity algorithm as compared to this class. DeviceErrorCounts is not deprecated because its naming algorithm is still in use in various implementations.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_DeviceErrorCounts

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

DeviceErrorCounts is a statistical class containing error- related counters for a LogicalDevice. The types of errors are defined by CCITT (Rec X.733) and ISO (IEC 10164-4). Note that the CIM_DeviceErrorCountData class uses a simplified naming or identity algorithm as compared to this class. DeviceErrorCounts is not deprecated because its naming algorithm is still in use in various implementations.

UMLPackagePath | string | CIM::Device::DeviceElements
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CriticalErrorCount | uint64 |
Counter | boolean | true
Description | string | Count of the critical errors.
MappingStrings | string | MIF.DMTF|Operational State|006.7
DeviceCreationClassName | string |
Description | string | The CreationClassName of the scoping Device.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_LogicalDevice.CreationClassName
DeviceID | string |
Description | string | The ID of the scoping Device.
Key | boolean | true
MaxLen | uint32 | 64
Propagated | string | CIM_LogicalDevice.DeviceID
IndeterminateErrorCount | uint64 |
Counter | boolean | true
Description | string | Count of the indeterminate errors.
MajorErrorCount | uint64 |
Counter | boolean | true
Description | string | Count of the major errors.
MappingStrings | string | MIF.DMTF|Operational State|006.8
MinorErrorCount | uint64 |
Counter | boolean | true
Description | string | Count of the minor errors.
Name | string |
Description | string | The inherited Name serves as part of the key for the DeviceErrorCounts instance. The object is scoped by the LogicalDevice to which the statistics apply.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | Name
SystemCreationClassName | string |
Description | string | The CreationClassName of the scoping System.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_LogicalDevice.SystemCreationClassName
SystemName | string |
Description | string | The Name of the scoping System.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_LogicalDevice.SystemName
WarningCount | uint64 |
Counter | boolean | true
Description | string | Count of the warnings.
MappingStrings | string | MIF.DMTF|Operational State|006.9

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods

### Local Class Methods

#### ResetCounter (uint32)

#### Method Qualifiers (ResetCounter)

Name | Data Type | Value
--- | --- | ---

Description

string

Method to reset the error and warning counters. The method takes one parameter as input, an integer that indicates which counter to reset. For this input parameter, 0 indicates all, 1 indicates a reset of the indeterminate error counter, 2 the critical error counter, 3 the major error counter, 4 the minor error counter, and 5 the warning counter. The method returns 0 if successful, 1 if not supported, and any other value if an error occurred. A method is specified so that the instrumentation of the LogicalDevice, which tabulates the errors and warnings, can also reset its internal processing and counters. In a subclass, the set of possible return codes could be specified, using a ValueMap qualifier on the method. The strings to which the ValueMap contents are 'translated' can also be specified in the subclass as a Values array qualifier.

#### Method Parameters (ResetCounter)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
SelectedCounter | uint16
Description | string | The counter to reset.
IN | boolean | true
ValueMap | string | 0, 1, 2, 3, 4, 5
Values | string | All, Indeterminate Error Counter, Critical Error Counter, Major Error Counter, Minor Error Counter, Warning Counter